



pushd tests
IF %ERRORLEVEL% NEQ 0 exit /B 1
pushd hello_world_py
IF %ERRORLEVEL% NEQ 0 exit /B 1
echo "Skipped hello_world_py\test.bat as bjam with boost python is broken on Windows"
IF %ERRORLEVEL% NEQ 0 exit /B 1
popd
IF %ERRORLEVEL% NEQ 0 exit /B 1
popd
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %PREFIX%\Library\include\boost\python\python.hpp exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %PREFIX%\Library\include\boost\python exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %PREFIX%\Library\bin\boost_python37.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %PREFIX%\Library\lib\boost_python37.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %PREFIX%\Library\bin\boost_numpy37.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %PREFIX%\Library\lib\boost_numpy37.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
